diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/wifi/test/wifi-phy-cca-test.cc ns-3.45/src/wifi/test/wifi-phy-cca-test.cc
--- ns-3.44/src/wifi/test/wifi-phy-cca-test.cc	2025-03-09 16:55:49.811372800 -0700
+++ ns-3.45/src/wifi/test/wifi-phy-cca-test.cc	2025-06-01 20:34:45.640702200 -0700
@@ -1822,21 +1965,22 @@
         delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY notifies CCA-BUSY for the S40 as long as a signal above the energy detection
-        // threshold occupies S40: 27.3.20.6.4: Any signal within the secondary 40 MHz channel at or
-        // above a threshold of –59 dBm within a period of aCCATime after the signal arrives at the
-        // receiver's antenna(s).
+        // Verify PHY notifies CCA-BUSY for the S40 as long as a signal above the energy
+        // detection threshold occupies S40: 27.3.20.6.4: Any signal within the secondary 40 MHz
+        // channel at or above a threshold of –59 dBm within a period of aCcaTimeWithDelta after
+        // the signal arrives at the receiver's antenna(s).
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
                             "Reception of a 20 MHz signal that occupies the second subchannel of "
                             "S40 above ED threshold");
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 2, 2, MicroSeconds(100));
         ScheduleTest(
             delay,
             {{dBm_u{-55}, MicroSeconds(0), MicroSeconds(100), S40_CENTER_FREQUENCY, MHz_u{40}}},
             {},
             {
-                {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                 {MicroSeconds(100) - smallDelta,
                  WifiPhyState::IDLE}, // IDLE just before the transmission ends
                 {MicroSeconds(100) + smallDelta,
@@ -1845,19 +1989,9 @@
             {{MicroSeconds(100) - smallDelta,
               MicroSeconds(100),
               WIFI_CHANLIST_SECONDARY40,
-              ((m_channelWidth > MHz_u{80}) ? std::vector<Time>{MicroSeconds(0),
-                                                                MicroSeconds(0),
-                                                                MicroSeconds(100),
-                                                                MicroSeconds(100),
-                                                                MicroSeconds(0),
-                                                                MicroSeconds(0),
-                                                                MicroSeconds(0),
-                                                                MicroSeconds(0)}
-                                            : std::vector<Time>{MicroSeconds(0),
-                                                                MicroSeconds(0),
-                                                                MicroSeconds(100),
-                                                                MicroSeconds(100)})}});
+              m_expectedPer20MhzCcaBusyDurations.at(0)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state is CCA-BUSY as long as a 80 MHz signal above the energy detection
@@ -1866,12 +2000,13 @@
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
                             "Reception of a 80 MHz signal that occupies P80 above ED threshold");
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin(), 4, MicroSeconds(100));
         ScheduleTest(
             delay,
             {{dBm_u{-55}, MicroSeconds(0), MicroSeconds(100), P80_CENTER_FREQUENCY, MHz_u{80}}},
             {},
             {
-                {aCcaTime, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCCATime
+                {aCcaTimeWithDelta, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCcaTimeWithDelta
                 {MicroSeconds(100) - smallDelta,
                  WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
                 {MicroSeconds(100) + smallDelta,
@@ -1880,19 +2015,9 @@
             {{MicroSeconds(100) - smallDelta,
               MicroSeconds(100),
               WIFI_CHANLIST_PRIMARY,
-              ((m_channelWidth > MHz_u{80}) ? std::vector<Time>{MicroSeconds(100),
-                                                                MicroSeconds(100),
-                                                                MicroSeconds(100),
-                                                                MicroSeconds(100),
-                                                                MicroSeconds(0),
-                                                                MicroSeconds(0),
-                                                                MicroSeconds(0),
-                                                                MicroSeconds(0)}
-                                            : std::vector<Time>{MicroSeconds(100),
-                                                                MicroSeconds(100),
-                                                                MicroSeconds(100),
-                                                                MicroSeconds(100)})}});
+              m_expectedPer20MhzCcaBusyDurations.at(0)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY notifies CCA-BUSY for the P20 channel while the S40 channel was already in
@@ -1902,6 +2027,9 @@
                             this,
                             "Reception of a 20 MHz signal that occupies S40 followed by the "
                             "reception of another 20 MHz signal that occupies P20");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(2) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(0) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(2) = MicroSeconds(50);
         ScheduleTest(
             delay,
             {{dBm_u{-55},
@@ -1912,46 +2040,28 @@
              {dBm_u{-55}, MicroSeconds(50), MicroSeconds(100), P20_CENTER_FREQUENCY, MHz_u{20}}},
             {},
             {
-                {aCcaTime, WifiPhyState::IDLE}, // state of primary stays idle after aCCATime
-                {MicroSeconds(50) + aCcaTime,
-                 WifiPhyState::CCA_BUSY}, // state of primary is CCA-BUSY after aCCATime that
-                                          // followed the second transmission
+                {aCcaTimeWithDelta,
+                 WifiPhyState::IDLE}, // state of primary stays idle after aCcaTimeWithDelta
+                {MicroSeconds(50) + aCcaTimeWithDelta,
+                 WifiPhyState::CCA_BUSY}, // state of primary is CCA-BUSY after
+                                          // aCcaTimeWithDelta that followed the second
+                                          // transmission
                 {MicroSeconds(50) + MicroSeconds(100) - smallDelta,
                  WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
                 {MicroSeconds(50) + MicroSeconds(100) + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
-            {{aCcaTime, // notification upon reception of the first signal
+            {{aCcaTimeWithDelta, // notification upon reception of the first signal
               MicroSeconds(100),
               WIFI_CHANLIST_SECONDARY40,
-              ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(100),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0)}
-                                     : std::vector<Time>{MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(100),
-                                                         MicroSeconds(0)})},
-             {MicroSeconds(50) + aCcaTime, // notification upon reception of the second signal
+              m_expectedPer20MhzCcaBusyDurations.at(0)},
+             {MicroSeconds(50) +
+                  aCcaTimeWithDelta, // notification upon reception of the second signal
               MicroSeconds(50) + MicroSeconds(100),
               WIFI_CHANLIST_PRIMARY,
-              ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(100),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(50),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0)}
-                                     : std::vector<Time>{MicroSeconds(100),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(50),
-                                                         MicroSeconds(0)})}});
+              m_expectedPer20MhzCcaBusyDurations.at(1)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE but notifies CCA-BUSY for the S20 channel while the S40
@@ -1961,6 +2071,9 @@
                             this,
                             "Reception of a signal that occupies S40 followed by the reception of "
                             "another signal that occupies S20");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(2) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(1) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(2) = MicroSeconds(50);
         ScheduleTest(
             delay,
             {{dBm_u{-55},
